from apps.rpm.views import (RcertificateViewSet, RpartyViewSet, RemployeeViewSet, RfileViewSet, RpjViewSet, BlackListViewSet,
                            RpjfileViewSet, RpjmemberViewSet, RpjLogViewSet)
from django.urls import path, include
from rest_framework.routers import DefaultRouter

API_BASE_URL = 'api/rpm/'
HTML_BASE_URL = 'dhtml/rpm/'

router = DefaultRouter()
router.register('rparty', RpartyViewSet, basename='rparty')
router.register('remployee', RemployeeViewSet, basename='remployee')
router.register('rcertificate', RcertificateViewSet, basename='rcertificate')
router.register('rfile', RfileViewSet, basename='rfile')
router.register('rpj', RpjViewSet, basename='rpj')
router.register('rpj_member', RpjmemberViewSet, basename='rpj_member')
router.register('rpj_log', RpjLogViewSet, basename='rpj_log')
router.register('rpj_file', RpjfileViewSet, basename='rpj_file')
router.register('blacklist', BlackListViewSet, basename='blacklist')
urlpatterns = [
    path(API_BASE_URL, include(router.urls)),
]
